Bug 1314203 - dhclient establishes a lease on the explicitly specified interface, but then endlessly retries old leases on other interfaces
dhclient establishes a lease on the explicitly specified interface, but then ...
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
: 1314201 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2016-03-03 03:26 EST by MK
Modified: 2016-12-20 14:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 14:12:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MK 2016-03-03 03:26:13 EST
Description of problem:

`dhclient -v iface1`, after establishing a lease with the dhcp server on iface1, will continue to log failed DCHPDISCOVER etc. messages involving other interfaces if they have a previous lease in `/var/lib`.

This is probably an upstream issue but I thought I'd start here.  It is not all that significant, except that 1) It contradicts the man page, which says that "in case the DHCP server is unavailable when dhclient is first invoked [...] old leases from the dhclient.leases  file  which  have not  yet  expired are tested", 2) It becomes irritating when you want to use the other interface for something and realize that dhclient may be (trying) to use it for some other purpose (which may or may not impact whatever else you are trying to do).

Note that I do not use NetworkManager or normal autoconfigured networking; my `/etc/sysconfig/network-scripts` contains only one file, `ifcfg-lo`.  I just start inet connections manually since it is only a matter of one or two commands.  However, I think this is irrelevant to the issue.

Version-Release number of selected component (if applicable):

4.3.3 ?

How reproducible:

Always.  The only way to prevent this is to either remove the old leases from `/var/lib` or use `-cf` with a conf file which mentions only one interface.

Actual results:

Dhclient establishes a lease with the interface specified on the command line then endlessly leaves syslog messages about retrying old leases on inactive interfaces, and continues to do so when those interfaces are activated for other purposes.

Expected results:

Dhclient should acquire a lease on the interface specified on the command line and then go to the background to maintain it, nothing else.

Additional info:
Comment 1 Jiri Popelka 2016-03-03 03:48:12 EST
*** Bug 1314201 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2016-11-24 10:54:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:12:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.